Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
qaSettings
Get quality assurance settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/qaSettings \
  --header 'Authorization: <api-key>'
{
  "emptyTranslation": true,
  "inconsistentTranslation": true,
  "joinTags": true,
  "missingNumbers": true,
  "segmentNotConfirmed": true,
  "terminology": true,
  "multipleSpaces": true,
  "trailingSpace": true,
  "trailingPunctuation": true,
  "targetLength": {
    "enabled": true,
    "max": 123
  },
  "formatting": true,
  "unresolvedComment": true,
  "emptyPairTags": true,
  "strictJobStatus": true,
  "forbiddenStrings": {
    "enabled": true,
    "list": [
      "<string>"
    ]
  },
  "excludeLockedSegments": true,
  "ignoreNotApprovedTerms": true,
  "spellCheck": true,
  "repeatedWords": true,
  "inconsistentTagContent": true,
  "emptyTagContent": true,
  "xliffTags": true,
  "nestedTags": true,
  "forbiddenTerms": true,
  "targetLengthPercent": {
    "enabled": true,
    "max": 123
  },
  "targetLengthPerSegment": true,
  "newerAtPrecedingWorkflowStep": true,
  "leadingAndTrailingSpaces": true,
  "ignoreInAllWorkflowSteps": true,
  "unmodifiedFuzzyTranslation": true,
  "unmodifiedFuzzyTranslationTM": true,
  "unmodifiedFuzzyTranslationMTNT": true,
  "regexp": {
    "rules": [
      {
        "description": "<string>",
        "sourceRegexp": "<string>",
        "targetRegexp": "<string>",
        "id": "<string>",
        "ignorable": true,
        "instant": true
      }
    ]
  },
  "extraNumbers": true,
  "targetSourceIdentical": true,
  "moravia": {
    "enabled": true,
    "profile": "<string>"
  },
  "fuzzyInconsistency": true,
  "missingNonTranslatableAnnotation": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

emptyTranslation
boolean
inconsistentTranslation
boolean
joinTags
boolean
missingNumbers
boolean
segmentNotConfirmed
boolean
terminology
boolean
multipleSpaces
boolean
trailingSpace
boolean
trailingPunctuation
boolean
targetLength
object
formatting
boolean
unresolvedComment
boolean
emptyPairTags
boolean
strictJobStatus
boolean
forbiddenStrings
object
excludeLockedSegments
boolean
ignoreNotApprovedTerms
boolean
spellCheck
boolean
repeatedWords
boolean
inconsistentTagContent
boolean
emptyTagContent
boolean
xliffTags
boolean
nestedTags
boolean
forbiddenTerms
boolean
targetLengthPercent
object
targetLengthPerSegment
boolean
newerAtPrecedingWorkflowStep
boolean
leadingAndTrailingSpaces
boolean
ignoreInAllWorkflowSteps
boolean
unmodifiedFuzzyTranslation
boolean
unmodifiedFuzzyTranslationTM
boolean
unmodifiedFuzzyTranslationMTNT
boolean
regexp
object
extraNumbers
boolean
targetSourceIdentical
boolean
moravia
object
fuzzyInconsistency
boolean
missingNonTranslatableAnnotation
boolean